Summary: KDE Frameworks 5 Tier 1 integration module with classes for windows management
Name:    kf5-kwindowsystem
Version: 5.110.0
%global majmin %majmin_ver_kf5
%global stable %stable_kf5
Release: 1%{?dist}
License: LGPLv2+ and MIT
URL:     https://invent.kde.org/frameworks/kwindowsystem
Source0: http://download.kde.org/%{stable}/frameworks/%{majmin}/kwindowsystem-%{version}.tar.xz

%global __provides_exclude_from ^(%{_kf5_plugindir}/.*\\.so)$

BuildRequires:  make, extra-cmake-modules
BuildRequires:  kf5-rpm-macros
BuildRequires:  pkgconfig(x11), pkgconfig(xcb), pkgconfig(xcb-icccm), pkgconfig(xcb-keysyms)
BuildRequires:  pkgconfig(xfixes), pkgconfig(xrender)
BuildRequires:  qt5-qtbase-devel, qt5-qttools-devel, qt5-qtx11extras-devel
Requires:       kf5-filesystem

%description
KDE Frameworks Tier 1 integration module that provides classes for managing and
working with windows.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}
Requires:       qt5-qtbase-devel

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%autosetup -n kwindowsystem-%{version}


%build
%cmake_kf5 \
  -DBUILD_TESTING:BOOL=ON

%cmake_build


%install
%cmake_install

%find_lang_kf5 kwindowsystem5_qt


%check
export CTEST_OUTPUT_ON_FAILURE=1
xvfb-run -a \
make test ARGS="--output-on-failure --timeout 30" -C %{_target_platform} ||:


%files -f kwindowsystem5_qt.lang
%license LICENSES/*.txt
%doc README.md
%{_kf5_datadir}/qlogging-categories5/kwindowsystem.*
%{_kf5_libdir}/libKF5WindowSystem.so.*
%dir %{_kf5_plugindir}/kwindowsystem/
%{_kf5_plugindir}/kwindowsystem/KF5WindowSystemX11Plugin.so

%files devel
%{_kf5_includedir}/KWindowSystem/
%{_kf5_libdir}/libKF5WindowSystem.so
%{_kf5_libdir}/cmake/KF5WindowSystem/
%{_kf5_archdatadir}/mkspecs/modules/qt_KWindowSystem.pri


%changelog
* Sat Nov 11 2023 Chair <chairou@tencent.com> - 5.110.0-1
- Init
